import assert from 'assert';
import sinon from 'sinon';

import * as request from '../../../request';
import loginAPI from '.';
import fixtures from './fixtures';

test('API Auth0 Login should call request with correct arguments', function() {
  const requestStub = sinon.stub(request, 'request');
  const parent = {
    login: loginAPI,
    options: {
      host: 'test'
    }
  }
  parent.login(fixtures.username, fixtures.password);

  const stubArgs = requestStub.getCall(0).args;
  const expectedUrl = parent.options.host + fixtures.results.login.url;
  assert.equal(stubArgs[0], expectedUrl);

  const expectedOptions = fixtures.results.login.options;
  assert.deepEqual(stubArgs[1], expectedOptions);

  requestStub.restore();
});
