export default [

  // Utility functions
  { structure: 'questionAnswering.common.metadataBuilder',
    method: require('./questionAnswering/common.js').metadataBuilder },
  { structure: 'questionAnswering.log.common.messageBuilder',
    method: require('./questionAnswering/log/common.js').messageBuilder },
  { structure: 'questionAnswering.log.common.logBuilder',
    method: require('./questionAnswering/log/common.js').logBuilder },
  
  // Auth0
  { structure: 'auth0.login', method: require('./auth0/login').default },

  // Question Answering

  // Model Group
  { structure: 'questionAnswering.modelGroup.list', method: require('./questionAnswering/modelGroup/list').default },
  {
    structure: 'questionAnswering.modelGroup.listArchived',
    method: require('./questionAnswering/modelGroup/listArchived').default
  },
  {
    structure: 'questionAnswering.modelGroup.create',
    method: require('./questionAnswering/modelGroup/create').default
  },
  { structure: 'questionAnswering.modelGroup.get', method: require('./questionAnswering/modelGroup/get').default },
  {
    structure: 'questionAnswering.modelGroup.update',
    method: require('./questionAnswering/modelGroup/update').default
  },
  {
    structure: 'questionAnswering.modelGroup.archive',
    method: require('./questionAnswering/modelGroup/archive').default
  },
  {
    structure: 'questionAnswering.modelGroup.unarchive',
    method: require('./questionAnswering/modelGroup/unarchive').default
  },
  {
    structure: 'questionAnswering.modelGroup.createOrUpdateAddOnSchema',
    method: require('./questionAnswering/modelGroup/createOrUpdateAddOnSchema').default
  },
  {
    structure: 'questionAnswering.modelGroup.deleteAddOnSchema',
    method: require('./questionAnswering/modelGroup/deleteAddOnSchema').default
  },

  // Model Version
  {
    structure: 'questionAnswering.modelVersion.list',
    method: require('./questionAnswering/modelVersion/list').default
  },
  {
    structure: 'questionAnswering.modelVersion.listArchived',
    method: require('./questionAnswering/modelVersion/listArchived').default
  },
  {
    structure: 'questionAnswering.modelVersion.get',
    method: require('./questionAnswering/modelVersion/get').default
  },
  {
    structure: 'questionAnswering.modelVersion.create',
    method: require('./questionAnswering/modelVersion/create').default
  },
  {
    structure: 'questionAnswering.modelVersion.train',
    method: require('./questionAnswering/modelVersion/train').default
  },
  {
    structure: 'questionAnswering.modelVersion.cancelTrain',
    method: require('./questionAnswering/modelVersion/cancelTrain').default
  },
  {
    structure: 'questionAnswering.modelVersion.status',
    method: require('./questionAnswering/modelVersion/status').default
  },
  {
    structure: 'questionAnswering.modelVersion.createHistoricalResponses',
    method: require('./questionAnswering/modelVersion/createHistoricalResponses').default
  },
  {
    structure: 'questionAnswering.modelVersion.trainHistoricalResponses',
    method: require('./questionAnswering/modelVersion/trainHistoricalResponses').default
  },
  {
    structure: 'questionAnswering.modelVersion.cancelTrainHistoricalResponses',
    method: require('./questionAnswering/modelVersion/cancelTrainHistoricalResponses').default
  },
  {
    structure: 'questionAnswering.modelVersion.statusHistoricalResponses',
    method: require('./questionAnswering/modelVersion/statusHistoricalResponses').default
  },
  {
    structure: 'questionAnswering.modelVersion.archive',
    method: require('./questionAnswering/modelVersion/archive').default
  },
  {
    structure: 'questionAnswering.modelVersion.unarchive',
    method: require('./questionAnswering/modelVersion/unarchive').default
  },

  // Log
  {
    // https://documenter.getpostman.com/view/958448/RVg56mab#c76cd376-36db-466a-1a85-50b5b22a12cd
    structure: 'questionAnswering.log.create',
    method: require('./questionAnswering/log/create').default
  },
  {
    // https://documenter.getpostman.com/view/958448/RVg56mab#6e850000-cdd3-71a8-5ba2-c2f496afbe02
    structure: 'questionAnswering.log.list',
    method: require('./questionAnswering/log/list').default
  },

  // Answers
  {
    structure: 'questionAnswering.answer.search',
    method: require('./questionAnswering/answer/search').default
  }
];
