import assert from 'assert';
import sinon from 'sinon';
import * as request from '../../../../request';

import generalFixture from '../../../generalFixture';
import urls from '../../../../urls';

import * as logList from './index.js';
import {HttpData} from './fixtures';


test('API QuestionAnswering Log create should call request with correct arguments', function() {
  const requestStub = sinon.stub(request, 'request');
  const parent = {
    create: logList.default,
    options: {
      host: 'test'
    }
  }

  const spy = sinon.spy();

  Object.defineProperty(parent.options, 'authTokenProvider', {
    get: spy
  });

  parent.create(generalFixture.modelgroupId);

  const stubArgs = requestStub.getCall(0).args;
  const apiUrl = urls.questionAnswering.log.list(generalFixture.modelgroupId, 1, 10);
  const expectedUrl = parent.options.host + apiUrl;
  assert.equal(stubArgs[0], expectedUrl);
  assert.deepEqual(stubArgs[1], HttpData.results.list.options);
  assert(spy.called);

  requestStub.restore();
});