import assert from 'assert';
import generalFixture from '../../generalFixture';
import * as common from './common.js';


test('messageBuilder build correct message object', function() {
  const actualParams = common.messageBuilder(generalFixture.externalMsgId,
                                             generalFixture.createdAt,
                                             generalFixture.from,
                                             generalFixture.language,
                                             generalFixture.channel,
                                             generalFixture.content);

  assert.deepEqual(actualParams, { externalId: generalFixture.externalMsgId,
                                   createdAt: generalFixture.createdAt,
                                   from: generalFixture.from,
                                   language: generalFixture.language,
                                   channel: generalFixture.channel,
                                   content: generalFixture.content,
                                   answerIds: generalFixture.emptyAnswerIds,
                                   metadata: generalFixture.emptyMetadata});
});


test('logBuilder build correct log object', function() {
  const actualParams = common.logBuilder(generalFixture.externalLogId,
                                         generalFixture.createdAt,
                                         generalFixture.emptyMessages,
                                         generalFixture.emptyMetadata);
  assert.deepEqual(actualParams, { externalId: generalFixture.externalLogId,
                                   createdAt: generalFixture.createdAt,
                                   messages: generalFixture.emptyMessages,
                                   metadata: generalFixture.emptyMetadata});
});
