import assert from 'assert';
import sinon from 'sinon';

import * as request from '../../../../request';
import createAPI from '.';
import fixtures from './fixtures';
import urls from '../../../../urls'

test('API QuestionAnswering ModelGroup Create should call request with correct arguments', function() {
  const requestStub = sinon.stub(request, 'request');
  const parent = {
    create: createAPI,
    options: {
      host: 'test'
    }
  }

  const spy = sinon.spy();

  Object.defineProperty(parent.options, 'authTokenProvider', {
    get: spy
  });

  parent.create(fixtures.name, fixtures.description);

  const stubArgs = requestStub.getCall(0).args;
  const apiUrl = urls.questionAnswering.modelGroup.create;
  const expectedUrl = parent.options.host + apiUrl;
  assert.equal(stubArgs[0], expectedUrl);
  assert.deepEqual(stubArgs[1], fixtures.results.create.options);
  assert(spy.called);

  requestStub.restore();
});
