import assert from 'assert';
import sinon from 'sinon';

import * as request from '../../../../request';
import schemaAPI from '.';
import urls from '../../../../urls';
import fixtures from './fixtures';
import generalFixture from '../../../generalFixture';

test('API QuestionAnswering ModelGroup CreateOrUpdateAddOnSchema should call request with correct arguments',
  function() {
    const requestStub = sinon.stub(request, 'request');
    const parent = {
      schema: schemaAPI,
      options: {
        host: 'test'
      }
    }

    const spy = sinon.spy();

    Object.defineProperty(parent.options, 'authTokenProvider', {
      get: spy
    });

    parent.schema(generalFixture.modelgroupId, fixtures.addOnSchemas);

    const stubArgs = requestStub.getCall(0).args;

    const apiUrl = urls.questionAnswering.modelGroup.createOrUpdateAddOnSchema(generalFixture.modelgroupId);
    const expectedUrl = parent.options.host + apiUrl;
    assert.equal(stubArgs[0], expectedUrl);
    assert.deepEqual(stubArgs[1], fixtures.results.createOrUpdateAddOnSchema.options);
    assert(spy.called);

    requestStub.restore();
  }
);
