import assert from 'assert';
import sinon from 'sinon';

import * as request from '../../../../request';
import listAPI from '.';
import fixtures from './fixtures';
import urls from '../../../../urls';

test('API QuestionAnswering ModelGroup List should call request with correct arguments', function() {
  const requestStub = sinon.stub(request, 'request');
  const parent = {
    list: listAPI,
    options: {
      host: 'test'
    }
  }

  const spy = sinon.spy();

  Object.defineProperty(parent.options, 'authTokenProvider', {
    get: spy
  });

  parent.list();

  const stubArgs = requestStub.getCall(0).args;
  const apiUrl = urls.questionAnswering.modelGroup.list;
  const expectedUrl = parent.options.host + apiUrl;
  assert.equal(stubArgs[0], expectedUrl);
  assert.deepEqual(stubArgs[1], fixtures.results.list.options);
  assert(spy.called);

  requestStub.restore();
});
