import assert from 'assert';
import sinon from 'sinon';

import * as request from '../../../../request';
import archiveAPI from '.';
import fixtures from './fixtures';
import generalFixture from '../../../generalFixture';
import urls from '../../../../urls';

test('API QuestionAnswering ModelVersion Archive should call request with correct arguments', function() {
  const requestStub = sinon.stub(request, 'request');
  const parent = {
    archive: archiveAPI,
    options: {
      host: 'test'
    }
  }

  const spy = sinon.spy();

  Object.defineProperty(parent.options, 'authTokenProvider', {
    get: spy
  });

  parent.archive(generalFixture.modelgroupId, generalFixture.modelversionId);

  const stubArgs = requestStub.getCall(0).args;

  const apiUrl = urls.questionAnswering.modelVersion
    .archive(generalFixture.modelgroupId, generalFixture.modelversionId);
  const expectedUrl = parent.options.host + apiUrl;
  assert.equal(stubArgs[0], expectedUrl);
  assert.deepEqual(stubArgs[1], fixtures.results.archive.options);
  assert(spy.called);

  requestStub.restore();
});
