import { isEmpty } from 'lodash';

import { request } from '../../../../request';
import urls from '../../../../urls';
import { buildQueryParams } from '../../../../utils';

export default function(modelgroupId, additionalParams = {}) {
  let url = this.options.host + urls.questionAnswering.modelVersion.list(modelgroupId);
  if (!isEmpty(additionalParams)) {
    url += `?${buildQueryParams(additionalParams)}`;
  }

  const options = {
    method: 'GET',
    headers: { 'Content-Type': 'application/json' }
  }

  return request(url, options, this.options.authTokenProvider);
}
