import { isEmpty } from 'lodash';

import { request } from '../../../../request';
import urls from '../../../../urls';
import { buildQueryParams } from '../../../../utils';

export default function(modelgroupId, modelversionId, additionalParams = {}) {
  let url = this.options.host +
    urls.questionAnswering.modelVersion.statusHistoricalResponses(modelgroupId, modelversionId);
  if (!isEmpty(additionalParams)) {
    url += `?${buildQueryParams(additionalParams)}`;
  }

  const options = {
    method: 'GET',
    headers: {
      'Content-Type': 'application/json',
      Accept: 'application/json'
    }
  }

  return request(url, options, this.options.authTokenProvider);
}
