import assert from 'assert';
import sinon from 'sinon';

import * as request from '../../../../request';
import trainAPI from '.';
import fixtures from './fixtures';
import generalFixture from '../../../generalFixture';
import urls from '../../../../urls';

test('API QuestionAnswering ModelVersion TrainHistoricalResponses should call request with correct arguments',
  function() {
    const requestStub = sinon.stub(request, 'request');
    const parent = {
      train: trainAPI,
      options: {
        host: 'test'
      }
    }

    const spy = sinon.spy();

    Object.defineProperty(parent.options, 'authTokenProvider', {
      get: spy
    });

    parent.train(generalFixture.modelgroupId, generalFixture.modelversionId);

    const stubArgs = requestStub.getCall(0).args;

    const apiUrl = urls.questionAnswering.modelVersion
      .trainHistoricalResponses(generalFixture.modelgroupId, generalFixture.modelversionId);
    const expectedUrl = parent.options.host + apiUrl;
    assert.equal(stubArgs[0], expectedUrl);
    assert.deepEqual(stubArgs[1], fixtures.results.trainHistoricalResponses.options);
    assert(spy.called);

    requestStub.restore();
  }
);
