const AUTH_TOKEN_PROVIDER_TYPES = {
  string: authTokenProvider => authTokenProvider,
  function: authTokenProvider => authTokenProvider()
};

export const request = (url, options = {}, authTokenProvider = null) => {
  const authTokenProviderType = typeof authTokenProvider;
  if (AUTH_TOKEN_PROVIDER_TYPES[authTokenProviderType]) {
    const { headers = {} } = options;
    headers.Authorization = AUTH_TOKEN_PROVIDER_TYPES[authTokenProviderType](authTokenProvider);
    options.headers = headers;
  }

  if (options.body) {
    options.body = JSON.stringify(options.body);
  }

  return fetch(url, options);
}
