const currentAPIVersion = 'v1';
const urlPrefix = 'api';

export default {
  auth0: {
    login: `/${urlPrefix}/${currentAPIVersion}/auth0/login`
  },

  questionAnswering: {
    modelGroup: {
      list: `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup`,
      listArchived: `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup?archived=true`,
      create: `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup`,
      get: modelgroupId => `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}`,
      update: modelgroupId => `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}`,
      archive: modelgroupId => `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/archive`,
      unarchive: modelgroupId => `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/unarchive`,
      createOrUpdateAddOnSchema: modelgroupId => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/add-on-schema`
      ),
      deleteAddOnSchema: modelgroupId => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/add-on-schema/delete`
      )
    },

    modelVersion: {
      list: modelgroupId => `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion`,
      listArchived: modelgroupId => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion?archived=true`
      ),
      get: (modelgroupId, modelversionId) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion/${modelversionId}`
      ),
      create: modelgroupId => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion`
      ),
      train: (modelgroupId, modelversionId) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion/${modelversionId}/train`
      ),
      cancelTrain: (modelgroupId, modelversionId) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion/${modelversionId}/cancel-train`
      ),
      status: (modelgroupId, modelversionId) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion/${modelversionId}/status`
      ),
      createHistoricalResponses: modelgroupId => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion`
      ),
      trainHistoricalResponses: (modelgroupId, modelversionId) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/` +
        `${modelgroupId}/modelversion/${modelversionId}/train/historical-responses`
      ),
      cancelTrainHistoricalResponses: (modelgroupId, modelversionId) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/` +
        `${modelgroupId}/modelversion/${modelversionId}/cancel-train/historical-responses`
      ),
      statusHistoricalResponses: (modelgroupId, modelversionId) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/` +
        `${modelgroupId}/modelversion/${modelversionId}/status/historical-responses`
      ),
      archive: (modelgroupId, modelversionId) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion/${modelversionId}/archive`
      ),
      unarchive: (modelgroupId, modelversionId) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/modelversion/${modelversionId}/unarchive`
      )
    },

    log: {
      create: (modelgroupId) => (`/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/chatlog`),
      list: (modelgroupId, page, per_page) => (
        `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup/${modelgroupId}/chatlog?page=${page}&per_page=${per_page}`)
    },
    answer: {
      search: (modelgroupId, page, per_page, active,
               standardized_language, channel, query) => (
                `/${urlPrefix}/${currentAPIVersion}/qa/modelgroup
                 /${modelgroupId}/answer?page=${page}&per_page=${per_page}
                 &active=${active}&standardized_language=${standardized_language}
                 &channel=${channel}&query=${query}`)
    }
  }
}